```sh
$ sudo docker build -t koel .
$ sudo docker run --rm --name koel-db --interactive --tty \
    --env POSTGRES_USER=koel --env POSTGRES_PASSWORD=secret \
    --network koel --security-opt=no-new-privileges \
    --cap-drop=all --cap-add=chown --cap-add=setuid --cap-add=setgid --cap-add=fowner \
    postgres:10.5-alpine
$ sudo docker run --rm --interactive --tty --network koel --publish=8000:8000 \
    --security-opt=no-new-privileges --cap-drop=all koel
/koel # php artisan koel:init
...
App key exists -- skipping
...
could not find driver

Koel cannot connect to the database. Let's set it up.

 Your DB driver of choice [MySQL/MariaDB]:
  [mysql     ] MySQL/MariaDB
  [pgsql     ] PostgreSQL
  [sqlsrv    ] SQL Server
  [sqlite-e2e] SQLite
 > pgsql

 DB host:
 > koel-db

 DB port (leave empty for default) []:
 > 5432

 DB name:
 > koel

 DB user:
 > koel

 DB password []:
 > secret

Migrating database
Let's create the admin account.

 Your name:
 > Fabian Peter Hammerle

 Your email address:
 > fabian+koel@hammerle.me

 Your desired password:
 >

 Again, just to make sure:
 >

Seeding initial data
The absolute path to your media directory. If this is skipped (left blank) now, you can set it later via the web interface.

 Media path []:
 >

Compiling front-end stuff
yarn install v1.7.0
[1/4] Resolving packages...
success Already up-to-date.
$ yarn production
yarn run v1.7.0
$ cross-env NODE_ENV=production node_modules/webpack/bin/webpack.js --progress --hide-modules --config=node_modules/laravel-mix/setup/webpack.config.js
...
Done in 21.61s.
Done in 22.87s.

🎆  Success! Koel can now be run from localhost with `php artisan serve`.
You can also scan for media with `php artisan koel:sync`.
Again, for more configuration guidance, refer to
📙  https://koel.phanan.net/docs
or open the .env file in the root installation folder.
Thanks for using Koel. You rock!
/koel # php artisan serve --host=0.0.0.0
Laravel development server started: <http://0.0.0.0:8000>
PHP 7.2.10 Development Server started at Sat Sep 15 19:41:27 2018
[Sat Sep 15 19:41:30 2018] 172.18.0.1:35448 [200]: /public/css/app.088d4f5eca71efdd5ffc.css
...
```
